// instrbase.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"	// ne pas tenir compte de cette ligne

#include <iostream.h>
#include <stdio.h>
#include <string.h>

bool verifier_nom_pierre()
{
	// lire une chaîne avec cin
	// vérifier que cette chaîne est égale à "Pierre"
	char nom[50];	// surtout pas char* nom, car aucun char réservé

	cout << "Votre nom ? ";
	cin >> nom;

	return ! strcmp(nom,"Pierre");
}

int main(int argc, char* argv[])
{
	//printf("[%d] %s\n",i,argv[i]);

	int i;
	for(i=0; i<argc; i++)		
		cout << "[" << i << "] " << argv[i] << endl;

	cout << verifier_nom_pierre();
	/*
	 * en Java, on écrirait cout.write("["+i+"]"+argv[i]+endl)
	 *
	 */

	return 0;
}

